Subject: Re: [Lwip] Iotdir early review of draft-ietf-lwig-energy-efficient-07

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Sun, 22 Oct 2017 13:59:01 +0200

Dear Charlie,

Thank you very much for your detailed review, and for the constructive
feedback provided. Also, providing us with your editorial suggestions via
a diff file is very much appreciated!

We have updated the draft (now, -08). This version aims to address both
your editorial and technical comments.

Should you have further comments, please let us know.

Cheers,

Carles (on behalf of all authors)

-----------------------
The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lwig-energy-efficient/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-lwig-energy-efficient-08
https://datatracker.ietf.org/doc/html/draft-ietf-lwig-energy-efficient-08

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lwig-energy-efficient-08
-----------------------

> Reviewer: Charles Perkins
> Review result: On the Right Track
>
> [Please excuse if this is a duplicate.  I got an error from datatracker on
> my first attempt.]
>
> Overall comments:
>
> I think that some important techniques for energy efficiency deserve
> mention
> or significant enlargement:
>
> - Packet bundling
> - Data aggregation
> - Power management / range reduction
> - Fragmentation is more energy-efficient at lower layers than at higher
> layers
> - Compression, on the other hand, is more efficient at higher layers,
>   particularly before encryption.
>
> The document needs a concise statement of purpose.  Maybe insert the
> following after the first paragraph of the Introduction:
>
>    In this document we describe techniques that are in common use at Layer
> 2
>    and at Layer 3, and we indicate the need for higher-layer awareness of
>    lower-layer features.
>
> Also in the introduction, some discussion is needed about cross-layer
> design.
> Is cross-layer design in scope for the [lwig] Working Group?
>
> In figure 1 and elsewhere, it should not be assumed that RPL is the only
> choice for routing in energy-efficient networks.  So, for instance,
> "RPL" could be replaced by "RTG" in Figure 1.
>
> Shouldn't there be an entry for synchronized reception in Figure 2?  Isn't
> Figure 2 actually a table, and thus should be labeled Table 1?
>
> Section 3.3 (Throughput) does not seem to add much if anything to the
> discussion.  The conclusion about the trade-off is quite obvious.
>
> Particularly in section 3.5.2, but also elsewhere, some examples would
> be very helpful.
>
> Section 6.3 (CoAP timers) seems to be only about one timer.
> Are there more?  What about interactions with TCP timers, etc.?
>
> Section 7 should be entitled "Summary and Conclusions".
> In section 7, it would be nice to offer cross references for each
> conclusion, referring the reader to the relevant section of the document.
> Each conclusion should follow from some previous section of the document.
> Unfortunately that currently isn't quite the case.
>
> The citation [Announcementlayer] does not appear in the body of the
> article.
>
> There are weird line breaks appearing at certain random points in the
> document.
>
> I have editorial suggestions and corrections which I will
> supply as an rfcdiff file under separate email.
>
> Regards,
> Charlie P.
>
> _______________________________________________
> Lwip mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lwip
>